import { ScopesType, UserConfig } from 'cz-git';
export { ScopesType } from 'cz-git';

/**
 * ScopesType 的数组配置项
 * @description
 * 为了约束配置范围
 */
type ScopesTypeItem = Exclude<ScopesType[number], string>;

/**
 * 获取用户配置
 * @description
 * 可以根据用户提供的范围，补充范围配置
 *
 * 其范围配置数组，默认排序到最前面，其次才是自动识别到包范围。
 */
declare function getUserConfig(
/** 用户提供的范围配置 */
userScopes?: ScopesTypeItem[]): UserConfig;
declare const _default: UserConfig;

export { type ScopesTypeItem, _default as default, getUserConfig };
